<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>magpar: griddata.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.3 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>griddata.h File Reference</h1><code>#include &quot;petscsys.h&quot;</code><br/>
<code>#include &quot;petscts.h&quot;</code><br/>
<code>#include &quot;petscao.h&quot;</code><br/>
<code>#include &lt;assert.h&gt;</code><br/>
<div class="dynheader">
Include dependency graph for griddata.h:</div>
<div class="dynsection">
<div class="center"><img src="griddata_8h__incl.png" border="0" usemap="#griddata_8h_map" alt=""/></div>
</div>
<div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dynsection">
<div class="center"><img src="griddata_8h__dep__incl.png" border="0" usemap="#griddata_8hdep_map" alt=""/></div>
<map name="griddata_8hdep_map" id="griddata_8hdep">
<area shape="rect" id="node3" href="checkiterationemini_8c.html" title="emini/checkiterationemini.c" alt="" coords="788,86,967,117"/><area shape="rect" id="node6" href="emini_8h.html" title="emini/emini.h" alt="" coords="1065,86,1164,117"/><area shape="rect" id="node8" href="eminisolve_8c.html" title="emini/eminisolve.c" alt="" coords="5,166,136,197"/><area shape="rect" id="node12" href="bmatrix_8c.html" title="field/bmatrix.c" alt="" coords="555,166,659,197"/><area shape="rect" id="node15" href="field_8h.html" title="field/field.h" alt="" coords="1477,86,1563,117"/><area shape="rect" id="node59" href="hext__kq_8c.html" title="field/hext_kq.c" alt="" coords="3723,86,3829,117"/><area shape="rect" id="node61" href="init_8h.html" title="init/init.h" alt="" coords="3579,86,3648,117"/><area shape="rect" id="node102" href="magpario_8h.html" title="io/magpario.h" alt="" coords="2168,86,2267,117"/><area shape="rect" id="node116" href="llg_8h.html" title="llg/llg.h" alt="" coords="1239,86,1300,117"/><area shape="rect" id="node122" href="writedatapng_8c.html" title="png/writedatapng.c" alt="" coords="4693,166,4824,197"/><area shape="rect" id="node125" href="writepng_8h.html" title="png/writepng.h" alt="" coords="3853,86,3960,117"/><area shape="rect" id="node127" href="util_8h.html" title="util/util.h" alt="" coords="2413,86,2483,117"/><area shape="rect" id="node18" href="bele_8c.html" title="field/bele.c" alt="" coords="1811,166,1896,197"/><area shape="rect" id="node21" href="hcubic_8c.html" title="field/hcubic.c" alt="" coords="432,166,531,197"/><area shape="rect" id="node23" href="hdemag_8c.html" title="field/hdemag.c" alt="" coords="2637,166,2744,197"/><area shape="rect" id="node26" href="helastic_8c.html" title="field/helastic.c" alt="" coords="1112,166,1219,197"/><area shape="rect" id="node28" href="hexch__ani_8c.html" title="field/hexch_ani.c" alt="" coords="2792,166,2912,197"/><area shape="rect" id="node30" href="hext__cu_8c.html" title="field/hext_cu.c" alt="" coords="1243,166,1349,197"/><area shape="rect" id="node32" href="hext__ho_8c.html" title="field/hext_ho.c" alt="" coords="2285,166,2392,197"/><area shape="rect" id="node34" href="hext__py_8c.html" title="field/hext_py.c" alt="" coords="1541,166,1648,197"/><area shape="rect" id="node36" href="hexternal_8c.html" title="field/hexternal.c" alt="" coords="1672,166,1787,197"/><area shape="rect" id="node38" href="hstep__file_8c.html" title="field/hstep_file.c" alt="" coords="184,166,301,197"/><area shape="rect" id="node40" href="htot_8c.html" title="field/htot.c" alt="" coords="325,166,408,197"/><area shape="rect" id="node42" href="parinit_8c.html" title="init/parinit.c" alt="" coords="2416,166,2504,197"/><area shape="rect" id="node44" href="writelog_8c.html" title="io/writelog.c" alt="" coords="1920,166,2011,197"/><area shape="rect" id="node46" href="writelog__pid_8c.html" title="io/writelog_pid.c" alt="" coords="2147,166,2261,197"/><area shape="rect" id="node48" href="calc__dMdt_8c.html" title="llg/calc_dMdt.c" alt="" coords="707,166,816,197"/><area shape="rect" id="node50" href="checkiterationllg_8c.html" title="llg/checkiterationllg.c" alt="" coords="1373,166,1517,197"/><area shape="rect" id="node52" href="myllgjacobian_8c.html" title="llg/myllgjacobian.c" alt="" coords="840,166,968,197"/><area shape="rect" id="node54" href="precond_8c.html" title="llg/precond.c" alt="" coords="992,166,1088,197"/><area shape="rect" id="node56" href="main_8c.html" title="main.c" alt="" coords="2528,166,2589,197"/><area shape="rect" id="node65" href="destroyinit_8c.html" title="init/destroyinit.c" alt="" coords="4253,166,4368,197"/><area shape="rect" id="node67" href="distortmesh_8c.html" title="init/distortmesh.c" alt="" coords="4392,166,4515,197"/><area shape="rect" id="node69" href="elevertvol_8c.html" title="init/elevertvol.c" alt="" coords="3499,166,3608,197"/><area shape="rect" id="node71" href="facnb_8c.html" title="init/facnb.c" alt="" coords="3632,166,3717,197"/><area shape="rect" id="node73" href="filterelements_8c.html" title="init/filterelements.c" alt="" coords="4539,166,4669,197"/><area shape="rect" id="node75" href="filternodes_8c.html" title="init/filternodes.c" alt="" coords="4872,166,4987,197"/><area shape="rect" id="node77" href="initinfo_8c.html" title="init/initinfo.c" alt="" coords="5011,166,5101,197"/><area shape="rect" id="node80" href="maginit_8c.html" title="init/maginit.c" alt="" coords="5149,166,5245,197"/><area shape="rect" id="node82" href="magset_8c.html" title="init/magset.c" alt="" coords="2936,166,3032,197"/><area shape="rect" id="node84" href="modifyprop__par_8c.html" title="init/modifyprop_par.c" alt="" coords="3333,166,3475,197"/><area shape="rect" id="node86" href="modifyprop__ser_8c.html" title="init/modifyprop_ser.c" alt="" coords="3056,166,3197,197"/><area shape="rect" id="node88" href="movedata_8c.html" title="init/movedata.c" alt="" coords="3741,166,3851,197"/><area shape="rect" id="node91" href="parteleser_8c.html" title="init/parteleser.c" alt="" coords="3875,166,3984,197"/><area shape="rect" id="node93" href="regrefine_8c.html" title="init/regrefine.c" alt="" coords="4008,166,4112,197"/><area shape="rect" id="node95" href="reorder_8c.html" title="init/reorder.c" alt="" coords="4136,166,4229,197"/><area shape="rect" id="node97" href="serinit_8c.html" title="init/serinit.c" alt="" coords="3221,166,3309,197"/><area shape="rect" id="node99" href="vertprop_8c.html" title="init/vertprop.c" alt="" coords="5269,166,5371,197"/><area shape="rect" id="node110" href="readinp_8c.html" title="io/readinp.c" alt="" coords="2035,166,2123,197"/></map>
</div>

<p><a href="griddata_8h_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Structures</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structGridData.html">GridData</a></td></tr>
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#ae60511a9aa5cbf216a00a1bb81006bc5">__FUNCT__</a>&nbsp;&nbsp;&nbsp;&quot;function&quot;</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a3d9da926137619fd02adb245a08536c7">MagparFunctionLogBegin</a>&nbsp;&nbsp;&nbsp;int ierr;PetscLogDouble t_t1,t_t2;{PetscFunctionBegin;PetscPrintf(PETSC_COMM_WORLD,&quot;\n&gt;&gt; %s::%s\n&quot;,__FILE__,__FUNCT__);PetscInfo2(0,&quot;%s%s&quot;,Id,Td);PetscGetTime(&amp;t_t1);ierr=0;}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a8491466d8534a33d7163f5ea747e8210">MagparFunctionLogReturn</a>(A)&nbsp;&nbsp;&nbsp;{PetscGetTime(&amp;t_t2);PetscPrintf(PETSC_COMM_WORLD,&quot;&lt;&lt; %s::%s took %g s\n\n&quot;,__FILE__,__FUNCT__,t_t2-t_t1);CHKMEMQ;PetscFunctionReturn(A);}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a4e81d68a7df0ff55ea65b46253e07552">MagparFunctionInfoBegin</a>&nbsp;&nbsp;&nbsp;int ierr;PetscLogDouble t_t1,t_t2;{PetscFunctionBegin;PetscGetTime(&amp;t_t1);ierr=0;}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a3a0efa409c6998ac8e9d7b30da6a8171">MagparFunctionInfoReturn</a>(A)&nbsp;&nbsp;&nbsp;{PetscGetTime(&amp;t_t2);PetscFunctionReturn(A);}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a9a4d090c28602d7ff7ec883fb6f413db">MagparFunctionProfReturn</a>(A)&nbsp;&nbsp;&nbsp;{PetscGetTime(&amp;t_t2);PetscFunctionReturn(A);}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a26ab586dda1b8c780aa849e457c0cbad">D_EPS</a>&nbsp;&nbsp;&nbsp;PETSC_MACHINE_EPSILON*100</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a8a54558688c833b1f886703d3012f1dd">RIGID_M_ALPHA</a>&nbsp;&nbsp;&nbsp;999</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#af02ecaab36e7afb38d59a0967b2a04c5">my_daxpy</a>(a, b, c, d, e, f)&nbsp;&nbsp;&nbsp;{(e)[0]+=b*(c)[0];(e)[1]+=b*(c)[1];(e)[2]+=b*(c)[2];}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#aa89c56a68a27eb1d6913f275182ded8b">my_dcopy</a>(a, b, c, d, e)&nbsp;&nbsp;&nbsp;{(d)[0]=(b)[0];(d)[1]=(b)[1];(d)[2]=(b)[2];}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#ab47b959efcd0f78b2f58b0afbd532141">my_dnrm2</a>(a, b, c)&nbsp;&nbsp;&nbsp;sqrt((b)[0]*(b)[0]+(b)[1]*(b)[1]+(b)[2]*(b)[2])</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#acb0e2797b801a795093c32740f2c7256">my_dscal</a>(a, b, c, d)&nbsp;&nbsp;&nbsp;{(c)[0]*=b;(c)[1]*=b;(c)[2]*=b;}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a021d4b2692fbdc52fc1fa201b4e17c99">my_ddot</a>(a, b, c, d, e)&nbsp;&nbsp;&nbsp;((b)[0]*(d)[0]+(b)[1]*(d)[1]+(b)[2]*(d)[2])</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#ae850fd05583e942377e4313b857e4adc">douter</a>(a, b, c, d)&nbsp;&nbsp;&nbsp;{(d)[0]=(b)[1]*(c)[2]-(b)[2]*(c)[1];(d)[1]=(b)[2]*(c)[0]-(b)[0]*(c)[2];(d)[2]=(b)[0]*(c)[1]-(b)[1]*(c)[0];}</td></tr>
<tr><td colspan="2"><div class="groupHeader">Defines of numbers</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpc3b36de960dbe5cba084d641efc43fc4"></a> for assert statements </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a68d169e5b90cf721678bc7ab0f964a99">ND</a>&nbsp;&nbsp;&nbsp;3</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#af7b1400a617718754e5de5c255467af5">NV</a>&nbsp;&nbsp;&nbsp;4</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a67a76e80830266d0c77e06b82a55fd0b">NF</a>&nbsp;&nbsp;&nbsp;4</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a170755e30c36be4904106b7bb279b1ec">NN</a>&nbsp;&nbsp;&nbsp;3</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#ab04c88bedc6b2be8ddfe7aa8d3e93f06">NP</a>&nbsp;&nbsp;&nbsp;19</td></tr>
<tr><td colspan="2"><div class="groupHeader">Defines of indicators</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpb56150da89211856e640ab0e0bbf49ae"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#ae002d636437ba3349f6501c36cfb5e02">C_BND</a>&nbsp;&nbsp;&nbsp;-1</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#af23ac2ffd709eb569a1f0c98d06be299">C_INT</a>&nbsp;&nbsp;&nbsp;-2</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a23a3109d94031a21452ba531f1544898">C_UNK</a>&nbsp;&nbsp;&nbsp;-4</td></tr>
<tr><td colspan="2"><div class="groupHeader">Defines for physical constants</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpffa633d9a83951be6bbb7991af3e7a37"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a0fa11f33bdb89b468b60f19395381cc4">MU0</a>&nbsp;&nbsp;&nbsp;(12.566371e-7)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a8659b9de3e544ff142b153b076f30fd5">GAMMA</a>&nbsp;&nbsp;&nbsp;(2.210173e5)</td></tr>
<tr><td colspan="2"><div class="groupHeader">element data</div></td></tr>
<tr><td colspan="2"><div class="groupText"><p><a class="anchor" id="amgrpb03f143aa8f384c5190c6eca4e9d1498"></a> </p>
</div></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#afa7ccbed0d85816fdd68f17ae0a98418">HAVE_ELEVERTALL</a></td></tr>
<tr><td colspan="2"><h2>Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a515706180f960b30595b607f2d734d14">PetscInt</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Contains all data to control the simulations.  <a href="#a515706180f960b30595b607f2d734d14"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a></td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ae60511a9aa5cbf216a00a1bb81006bc5"></a><!-- doxytag: member="griddata.h::__FUNCT__" ref="ae60511a9aa5cbf216a00a1bb81006bc5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define __FUNCT__&nbsp;&nbsp;&nbsp;&quot;function&quot;</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00042">42</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="main_8c_source.html#l00059">main()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, and <a class="el" href="precond_8c_source.html#l00374">PSolve()</a>.</p>

</div>
</div>
<a class="anchor" id="ae002d636437ba3349f6501c36cfb5e02"></a><!-- doxytag: member="griddata.h::C_BND" ref="ae002d636437ba3349f6501c36cfb5e02" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define C_BND&nbsp;&nbsp;&nbsp;-1</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>indicator for boundary node/face </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00104">104</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, and <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>.</p>

</div>
</div>
<a class="anchor" id="af23ac2ffd709eb569a1f0c98d06be299"></a><!-- doxytag: member="griddata.h::C_INT" ref="af23ac2ffd709eb569a1f0c98d06be299" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define C_INT&nbsp;&nbsp;&nbsp;-2</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>indicator for interior node/face </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00105">105</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, and <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>.</p>

</div>
</div>
<a class="anchor" id="a23a3109d94031a21452ba531f1544898"></a><!-- doxytag: member="griddata.h::C_UNK" ref="a23a3109d94031a21452ba531f1544898" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define C_UNK&nbsp;&nbsp;&nbsp;-4</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>indicator for unknown state </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00106">106</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="filternodes_8c_source.html#l00031">FilterNodes()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, and <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>.</p>

</div>
</div>
<a class="anchor" id="a26ab586dda1b8c780aa849e457c0cbad"></a><!-- doxytag: member="griddata.h::D_EPS" ref="a26ab586dda1b8c780aa849e457c0cbad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define D_EPS&nbsp;&nbsp;&nbsp;PETSC_MACHINE_EPSILON*100</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>threshold for equality of two real numbers </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00109">109</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="area_8c_source.html#l00029">AreaCal()</a>, <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="axesrot_8c_source.html#l00030">checkortho()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="distpointline_8c_source.html#l00032">DistPointLine()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="hcubic_8c_source.html#l00037">Hcubic_Init()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="initinfo_8c_source.html#l00052">InitInfo()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="solidangle_8c_source.html#l00049">SolidAngle()</a>, <a class="el" href="elevertvol_8c_source.html#l00030">tetgrad()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

</div>
</div>
<a class="anchor" id="ae850fd05583e942377e4313b857e4adc"></a><!-- doxytag: member="griddata.h::douter" ref="ae850fd05583e942377e4313b857e4adc" args="(a, b, c, d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define douter</td>
          <td>(</td>
          <td class="paramtype">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">c, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">d&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;{(d)[0]=(b)[1]*(c)[2]-(b)[2]*(c)[1];(d)[1]=(b)[2]*(c)[0]-(b)[0]*(c)[2];(d)[2]=(b)[0]*(c)[1]-(b)[1]*(c)[0];}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00131">131</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="axesrot_8c_source.html#l00030">checkortho()</a>, <a class="el" href="distpointline_8c_source.html#l00032">DistPointLine()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="solidangle_8c_source.html#l00029">PointFromPlane()</a>, <a class="el" href="solidangle_8c_source.html#l00049">SolidAngle()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, and <a class="el" href="tettri_8c_source.html#l00029">triarea()</a>.</p>

</div>
</div>
<a class="anchor" id="a8659b9de3e544ff142b153b076f30fd5"></a><!-- doxytag: member="griddata.h::GAMMA" ref="a8659b9de3e544ff142b153b076f30fd5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define GAMMA&nbsp;&nbsp;&nbsp;(2.210173e5)</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>gamma = mu0*g*|e|/(2*me) [m/As] = 1.758799e+11 [1/(Ts)] (cf. Diplomarbeit Scholz S. 14) </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00115">115</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, and <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>.</p>

</div>
</div>
<a class="anchor" id="afa7ccbed0d85816fdd68f17ae0a98418"></a><!-- doxytag: member="griddata.h::HAVE_ELEVERTALL" ref="afa7ccbed0d85816fdd68f17ae0a98418" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define HAVE_ELEVERTALL</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00194">194</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4e81d68a7df0ff55ea65b46253e07552"></a><!-- doxytag: member="griddata.h::MagparFunctionInfoBegin" ref="a4e81d68a7df0ff55ea65b46253e07552" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MagparFunctionInfoBegin&nbsp;&nbsp;&nbsp;int ierr;PetscLogDouble t_t1,t_t2;{PetscFunctionBegin;PetscGetTime(&amp;t_t1);ierr=0;}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00082">82</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="ascat_8c_source.html#l00030">ascat()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="cart2sphere_8c_source.html#l00059">Cart2Sphere()</a>, <a class="el" href="cart2sphere_8c_source.html#l00092">Cart2SphereDiff()</a>, <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="distortvec_8c_source.html#l00029">DistortVec()</a>, <a class="el" href="elevertvol_8c_source.html#l00104">edgestat()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00132">EquilCheck()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hcubic_8c_source.html#l00198">Hcubic_Energy()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="hdemag_8c_source.html#l01063">Hdemag_Energy()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="helastic_8c_source.html#l00391">Helastic_Energy()</a>, <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>, <a class="el" href="hexch__ani_8c_source.html#l00447">Hexchani_Energy()</a>, <a class="el" href="hext__cu_8c_source.html#l00096">Hext_cu()</a>, <a class="el" href="hext__py_8c_source.html#l00123">hext_f()</a>, <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>, <a class="el" href="hext__ho_8c_source.html#l00067">Hext_ho_hstep()</a>, <a class="el" href="hext__ho_8c_source.html#l00102">Hext_ho_hsweep()</a>, <a class="el" href="hext__kq_8c_source.html#l00171">Hext_kq()</a>, <a class="el" href="hext__py_8c_source.html#l00163">Hext_py()</a>, <a class="el" href="hexternal_8c_source.html#l00055">Hexternal()</a>, <a class="el" href="hexternal_8c_source.html#l00098">Hexternal_Energy()</a>, <a class="el" href="hexternal_8c_source.html#l00113">Hexternal_hext()</a>, <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, <a class="el" href="htot_8c_source.html#l00228">Htot_EminiEnergy()</a>, <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="precond_8c_source.html#l00436">Jtimes()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="matcreateseqadj_8c_source.html#l00030">matcreateseqadj()</a>, <a class="el" href="hext__ho_8c_source.html#l00054">MpHext()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="mytssteppvode_8c_source.html#l00029">myTSStepPVode()</a>, <a class="el" href="precond_8c_source.html#l00327">Precond()</a>, <a class="el" href="precond_8c_source.html#l00374">PSolve()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="rhsfunction_8c_source.html#l00031">RHSfunction()</a>, <a class="el" href="cart2sphere_8c_source.html#l00029">Sphere2Cart()</a>, <a class="el" href="syncffprintf_8c_source.html#l00035">SynchronizedFastFPrintf()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="writelog_8c_source.html#l00048">Vec3VolAvg()</a>, <a class="el" href="vecsetvec_8c_source.html#l00029">VecSetVec()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writelog__pvode_8c_source.html#l00120">WriteLogPVode()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>, <a class="el" href="writepng_8c_source.html#l00039">WritePNGfile()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

</div>
</div>
<a class="anchor" id="a3a0efa409c6998ac8e9d7b30da6a8171"></a><!-- doxytag: member="griddata.h::MagparFunctionInfoReturn" ref="a3a0efa409c6998ac8e9d7b30da6a8171" args="(A)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MagparFunctionInfoReturn</td>
          <td>(</td>
          <td class="paramtype">A&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;{PetscGetTime(&amp;t_t2);PetscFunctionReturn(A);}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00083">83</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="checkiterationllg_8c_source.html#l00098">adjtol()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00057">adjtoldem()</a>, <a class="el" href="ascat_8c_source.html#l00030">ascat()</a>, <a class="el" href="cart2sphere_8c_source.html#l00059">Cart2Sphere()</a>, <a class="el" href="cart2sphere_8c_source.html#l00092">Cart2SphereDiff()</a>, <a class="el" href="distortvec_8c_source.html#l00029">DistortVec()</a>, <a class="el" href="elevertvol_8c_source.html#l00104">edgestat()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00132">EquilCheck()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hcubic_8c_source.html#l00198">Hcubic_Energy()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="hdemag_8c_source.html#l01063">Hdemag_Energy()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="helastic_8c_source.html#l00391">Helastic_Energy()</a>, <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>, <a class="el" href="hexch__ani_8c_source.html#l00447">Hexchani_Energy()</a>, <a class="el" href="hext__cu_8c_source.html#l00096">Hext_cu()</a>, <a class="el" href="hext__py_8c_source.html#l00123">hext_f()</a>, <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>, <a class="el" href="hext__ho_8c_source.html#l00067">Hext_ho_hstep()</a>, <a class="el" href="hext__ho_8c_source.html#l00102">Hext_ho_hsweep()</a>, <a class="el" href="hext__kq_8c_source.html#l00171">Hext_kq()</a>, <a class="el" href="hext__py_8c_source.html#l00163">Hext_py()</a>, <a class="el" href="hexternal_8c_source.html#l00113">Hexternal_hext()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="matcreateseqadj_8c_source.html#l00030">matcreateseqadj()</a>, <a class="el" href="hext__ho_8c_source.html#l00054">MpHext()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="cart2sphere_8c_source.html#l00029">Sphere2Cart()</a>, <a class="el" href="syncffprintf_8c_source.html#l00035">SynchronizedFastFPrintf()</a>, <a class="el" href="writelog_8c_source.html#l00048">Vec3VolAvg()</a>, <a class="el" href="vecsetvec_8c_source.html#l00029">VecSetVec()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, <a class="el" href="writelog_8c_source.html#l00295">WriteLog()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writelog__pvode_8c_source.html#l00120">WriteLogPVode()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>, <a class="el" href="writepng_8c_source.html#l00039">WritePNGfile()</a>, and <a class="el" href="writedata_8c_source.html#l00036">WriteSet()</a>.</p>

</div>
</div>
<a class="anchor" id="a3d9da926137619fd02adb245a08536c7"></a><!-- doxytag: member="griddata.h::MagparFunctionLogBegin" ref="a3d9da926137619fd02adb245a08536c7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MagparFunctionLogBegin&nbsp;&nbsp;&nbsp;int ierr;PetscLogDouble t_t1,t_t2;{PetscFunctionBegin;PetscPrintf(PETSC_COMM_WORLD,&quot;\n&gt;&gt; %s::%s\n&quot;,__FILE__,__FUNCT__);PetscInfo2(0,&quot;%s%s&quot;,Id,Td);PetscGetTime(&amp;t_t1);ierr=0;}</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>energy minimization </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00075">75</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="area_8c_source.html#l00029">AreaCal()</a>, <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="bbox2_8c_source.html#l00029">bbox2()</a>, <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="calcbbox_8c_source.html#l00029">calcbbox()</a>, <a class="el" href="checkiterationemini_8c_source.html#l00037">CheckIterationEmini_Init()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00167">CheckIterationLLG_Init()</a>, <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="destroyinit_8c_source.html#l00029">DataDestroyInit()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="filterelements_8c_source.html#l00031">FilterElements()</a>, <a class="el" href="filternodes_8c_source.html#l00031">FilterNodes()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00029">findeleslice()</a>, <a class="el" href="hcubic_8c_source.html#l00037">Hcubic_Init()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="helastic_8c_source.html#l00105">Helastic_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__cu_8c_source.html#l00034">Hext_cu_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00165">Hext_ho_hstep_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00130">Hext_ho_ht_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00036">Hext_py_Init()</a>, <a class="el" href="hexternal_8c_source.html#l00042">Hexternal_Init()</a>, <a class="el" href="htot_8c_source.html#l00041">Htot_Init()</a>, <a class="el" href="initinfo_8c_source.html#l00052">InitInfo()</a>, <a class="el" href="maginit_8c_source.html#l00029">MagInit()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="matviewstruct_8c_source.html#l00029">matviewstruct()</a>, <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, <a class="el" href="mesh2dual_8c_source.html#l00531">Mesh2Dual2()</a>, <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>, <a class="el" href="mesh2dual_8c_source.html#l00040">Mesh2VertEle()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, <a class="el" href="hstep__file_8c_source.html#l00046">read_hstep_file()</a>, <a class="el" href="ipol_8c_source.html#l00055">readht()</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="helastic_8c_source.html#l00038">ReadProp()</a>, <a class="el" href="ipol_8c_source.html#l00173">readxy()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="main_8c_source.html#l00285">Solve()</a>, <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>, <a class="el" href="bmatrix_8c_source.html#l00028">VertBSA()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>, <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>, <a class="el" href="writelog__pvode_8c_source.html#l00041">WriteLogPVodeInit()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

</div>
</div>
<a class="anchor" id="a8491466d8534a33d7163f5ea747e8210"></a><!-- doxytag: member="griddata.h::MagparFunctionLogReturn" ref="a8491466d8534a33d7163f5ea747e8210" args="(A)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MagparFunctionLogReturn</td>
          <td>(</td>
          <td class="paramtype">A&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;{PetscGetTime(&amp;t_t2);PetscPrintf(PETSC_COMM_WORLD,&quot;&lt;&lt; %s::%s took %g s\n\n&quot;,__FILE__,__FUNCT__,t_t2-t_t1);CHKMEMQ;PetscFunctionReturn(A);}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00076">76</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="area_8c_source.html#l00029">AreaCal()</a>, <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="bbox2_8c_source.html#l00029">bbox2()</a>, <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="calcbbox_8c_source.html#l00029">calcbbox()</a>, <a class="el" href="checkiterationemini_8c_source.html#l00037">CheckIterationEmini_Init()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00167">CheckIterationLLG_Init()</a>, <a class="el" href="reorder_8c_source.html#l00030">CheckPartition()</a>, <a class="el" href="destroyinit_8c_source.html#l00029">DataDestroyInit()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="parteleser_8c_source.html#l00104">DataPartitionElementsSer()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="filterelements_8c_source.html#l00031">FilterElements()</a>, <a class="el" href="filternodes_8c_source.html#l00031">FilterNodes()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00029">findeleslice()</a>, <a class="el" href="hcubic_8c_source.html#l00037">Hcubic_Init()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="helastic_8c_source.html#l00105">Helastic_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__cu_8c_source.html#l00034">Hext_cu_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00165">Hext_ho_hstep_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00130">Hext_ho_ht_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00036">Hext_py_Init()</a>, <a class="el" href="hexternal_8c_source.html#l00042">Hexternal_Init()</a>, <a class="el" href="htot_8c_source.html#l00041">Htot_Init()</a>, <a class="el" href="initinfo_8c_source.html#l00052">InitInfo()</a>, <a class="el" href="maginit_8c_source.html#l00029">MagInit()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="matviewstruct_8c_source.html#l00029">matviewstruct()</a>, <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, <a class="el" href="mesh2dual_8c_source.html#l00531">Mesh2Dual2()</a>, <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>, <a class="el" href="mesh2dual_8c_source.html#l00040">Mesh2VertEle()</a>, <a class="el" href="parteleser_8c_source.html#l00038">MetisPartition()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="reorder_8c_source.html#l00231">OptimizeBandwidth()</a>, <a class="el" href="parinit_8c_source.html#l00054">ParInit()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00042">PVodeInit()</a>, <a class="el" href="hstep__file_8c_source.html#l00046">read_hstep_file()</a>, <a class="el" href="ipol_8c_source.html#l00055">readht()</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="readmesh_8c_source.html#l00029">ReadMesh()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="helastic_8c_source.html#l00038">ReadProp()</a>, <a class="el" href="ipol_8c_source.html#l00173">readxy()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="reorder_8c_source.html#l00399">Reorder()</a>, <a class="el" href="serinit_8c_source.html#l00034">SerInit()</a>, <a class="el" href="main_8c_source.html#l00285">Solve()</a>, <a class="el" href="reorder_8c_source.html#l00326">TrivialPartitioning()</a>, <a class="el" href="bmatrix_8c_source.html#l00028">VertBSA()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>, <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>, <a class="el" href="writelog__pvode_8c_source.html#l00041">WriteLogPVodeInit()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

</div>
</div>
<a class="anchor" id="a9a4d090c28602d7ff7ec883fb6f413db"></a><!-- doxytag: member="griddata.h::MagparFunctionProfReturn" ref="a9a4d090c28602d7ff7ec883fb6f413db" args="(A)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MagparFunctionProfReturn</td>
          <td>(</td>
          <td class="paramtype">A&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;{PetscGetTime(&amp;t_t2);PetscFunctionReturn(A);}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00084">84</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="htot_8c_source.html#l00176">CalcEnergy()</a>, <a class="el" href="checkiterationemini_8c_source.html#l00071">CheckIterationEmini()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00132">EquilCheck()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hcubic_8c_source.html#l00198">Hcubic_Energy()</a>, <a class="el" href="hdemag_8c_source.html#l00774">Hdemag()</a>, <a class="el" href="hdemag_8c_source.html#l01063">Hdemag_Energy()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="helastic_8c_source.html#l00391">Helastic_Energy()</a>, <a class="el" href="hexch__ani_8c_source.html#l00421">Hexchani()</a>, <a class="el" href="hexch__ani_8c_source.html#l00447">Hexchani_Energy()</a>, <a class="el" href="hext__cu_8c_source.html#l00096">Hext_cu()</a>, <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>, <a class="el" href="hext__kq_8c_source.html#l00171">Hext_kq()</a>, <a class="el" href="hext__py_8c_source.html#l00163">Hext_py()</a>, <a class="el" href="hexternal_8c_source.html#l00055">Hexternal()</a>, <a class="el" href="hexternal_8c_source.html#l00098">Hexternal_Energy()</a>, <a class="el" href="htot_8c_source.html#l00055">Htot()</a>, <a class="el" href="htot_8c_source.html#l00228">Htot_EminiEnergy()</a>, <a class="el" href="htot_8c_source.html#l00215">Htot_Energy()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="precond_8c_source.html#l00436">Jtimes()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="mytssteppvode_8c_source.html#l00029">myTSStepPVode()</a>, <a class="el" href="precond_8c_source.html#l00327">Precond()</a>, <a class="el" href="precond_8c_source.html#l00374">PSolve()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="rhsfunction_8c_source.html#l00031">RHSfunction()</a>, and <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>.</p>

</div>
</div>
<a class="anchor" id="a0fa11f33bdb89b468b60f19395381cc4"></a><!-- doxytag: member="griddata.h::MU0" ref="a0fa11f33bdb89b468b60f19395381cc4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define MU0&nbsp;&nbsp;&nbsp;(12.566371e-7)</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>mu0 = 4*M_PI*1e-7 = 12.566371e-7 Tm/A (=Vs/Am) </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00114">114</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="hext__ho_8c_source.html#l00067">Hext_ho_hstep()</a>, <a class="el" href="hext__ho_8c_source.html#l00102">Hext_ho_hsweep()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>.</p>

</div>
</div>
<a class="anchor" id="af02ecaab36e7afb38d59a0967b2a04c5"></a><!-- doxytag: member="griddata.h::my_daxpy" ref="af02ecaab36e7afb38d59a0967b2a04c5" args="(a, b, c, d, e, f)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define my_daxpy</td>
          <td>(</td>
          <td class="paramtype">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">c, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">d, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">e, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">f&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;{(e)[0]+=b*(c)[0];(e)[1]+=b*(c)[1];(e)[2]+=b*(c)[2];}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00126">126</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="barycent_8c_source.html#l00090">barycent()</a>, <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="distpointline_8c_source.html#l00032">DistPointLine()</a>, <a class="el" href="elevertvol_8c_source.html#l00104">edgestat()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="solidangle_8c_source.html#l00029">PointFromPlane()</a>, <a class="el" href="solidangle_8c_source.html#l00049">SolidAngle()</a>, <a class="el" href="tettri_8c_source.html#l00029">triarea()</a>, and <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>.</p>

</div>
</div>
<a class="anchor" id="aa89c56a68a27eb1d6913f275182ded8b"></a><!-- doxytag: member="griddata.h::my_dcopy" ref="aa89c56a68a27eb1d6913f275182ded8b" args="(a, b, c, d, e)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define my_dcopy</td>
          <td>(</td>
          <td class="paramtype">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">c, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">d, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">e&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;{(d)[0]=(b)[0];(d)[1]=(b)[1];(d)[2]=(b)[2];}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00127">127</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="barycent_8c_source.html#l00090">barycent()</a>, <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="distpointline_8c_source.html#l00032">DistPointLine()</a>, <a class="el" href="elevertvol_8c_source.html#l00104">edgestat()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="solidangle_8c_source.html#l00029">PointFromPlane()</a>, <a class="el" href="solidangle_8c_source.html#l00049">SolidAngle()</a>, <a class="el" href="tettri_8c_source.html#l00029">triarea()</a>, and <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a021d4b2692fbdc52fc1fa201b4e17c99"></a><!-- doxytag: member="griddata.h::my_ddot" ref="a021d4b2692fbdc52fc1fa201b4e17c99" args="(a, b, c, d, e)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define my_ddot</td>
          <td>(</td>
          <td class="paramtype">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">c, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">d, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">e&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;((b)[0]*(d)[0]+(b)[1]*(d)[1]+(b)[2]*(d)[2])</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00130">130</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, <a class="el" href="axesrot_8c_source.html#l00030">checkortho()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, and <a class="el" href="solidangle_8c_source.html#l00029">PointFromPlane()</a>.</p>

</div>
</div>
<a class="anchor" id="ab47b959efcd0f78b2f58b0afbd532141"></a><!-- doxytag: member="griddata.h::my_dnrm2" ref="ab47b959efcd0f78b2f58b0afbd532141" args="(a, b, c)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define my_dnrm2</td>
          <td>(</td>
          <td class="paramtype">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">c&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;sqrt((b)[0]*(b)[0]+(b)[1]*(b)[1]+(b)[2]*(b)[2])</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00128">128</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, <a class="el" href="axesrot_8c_source.html#l00030">checkortho()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="distpointline_8c_source.html#l00032">DistPointLine()</a>, <a class="el" href="elevertvol_8c_source.html#l00104">edgestat()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="solidangle_8c_source.html#l00049">SolidAngle()</a>, <a class="el" href="tettri_8c_source.html#l00029">triarea()</a>, and <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>.</p>

</div>
</div>
<a class="anchor" id="acb0e2797b801a795093c32740f2c7256"></a><!-- doxytag: member="griddata.h::my_dscal" ref="acb0e2797b801a795093c32740f2c7256" args="(a, b, c, d)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define my_dscal</td>
          <td>(</td>
          <td class="paramtype">a, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">b, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">c, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">d&nbsp;</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td>&nbsp;&nbsp;&nbsp;{(c)[0]*=b;(c)[1]*=b;(c)[2]*=b;}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00129">129</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="solidangle_8c_source.html#l00049">SolidAngle()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="tettri_8c_source.html#l00029">triarea()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

</div>
</div>
<a class="anchor" id="a68d169e5b90cf721678bc7ab0f964a99"></a><!-- doxytag: member="griddata.h::ND" ref="a68d169e5b90cf721678bc7ab0f964a99" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define ND&nbsp;&nbsp;&nbsp;3</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>space dimensions (no of cartesian coordinates) </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00093">93</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="axesrot_8c_source.html#l00064">AxesRotation()</a>, <a class="el" href="barycent_8c_source.html#l00090">barycent()</a>, <a class="el" href="bbox2_8c_source.html#l00029">bbox2()</a>, <a class="el" href="bele_8c_source.html#l00038">Bele()</a>, <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="calcbbox_8c_source.html#l00029">calcbbox()</a>, <a class="el" href="cart2sphere_8c_source.html#l00059">Cart2Sphere()</a>, <a class="el" href="cart2sphere_8c_source.html#l00092">Cart2SphereDiff()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00318">CheckIterationLLG()</a>, <a class="el" href="axesrot_8c_source.html#l00030">checkortho()</a>, <a class="el" href="eminisolve_8c_source.html#l00191">ConvTest()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="distpointline_8c_source.html#l00032">DistPointLine()</a>, <a class="el" href="elevertvol_8c_source.html#l00104">edgestat()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="eminisolve_8c_source.html#l00466">EminiSolve()</a>, <a class="el" href="checkiterationllg_8c_source.html#l00132">EquilCheck()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="filternodes_8c_source.html#l00031">FilterNodes()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00029">findeleslice()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="helastic_8c_source.html#l00105">Helastic_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__cu_8c_source.html#l00034">Hext_cu_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00123">hext_f()</a>, <a class="el" href="hext__ho_8c_source.html#l00387">Hext_ho()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="hext__kq_8c_source.html#l00056">Hext_kq_Init()</a>, <a class="el" href="hext__py_8c_source.html#l00036">Hext_py_Init()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="main_8c_source.html#l00146">keepsolving()</a>, <a class="el" href="maginit_8c_source.html#l00029">MagInit()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00308">myTSCreatePVode()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="solidangle_8c_source.html#l00029">PointFromPlane()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="mytscreatepvode_8c_source.html#l00237">PVodeReInit()</a>, <a class="el" href="readinp_8c_source.html#l00031">ReadINP()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="renormvec_8c_source.html#l00029">RenormVec()</a>, <a class="el" href="solidangle_8c_source.html#l00049">SolidAngle()</a>, <a class="el" href="cart2sphere_8c_source.html#l00029">Sphere2Cart()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="tettri_8c_source.html#l00029">triarea()</a>, <a class="el" href="writelog_8c_source.html#l00048">Vec3VolAvg()</a>, <a class="el" href="bmatrix_8c_source.html#l00028">VertBSA()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00380">WriteDat()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, <a class="el" href="writelog_8c_source.html#l00206">WriteLogData()</a>, <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>, <a class="el" href="writelog__pid_8c_source.html#l00235">WriteLogPid()</a>, <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>, <a class="el" href="writedatapng_8c_source.html#l00168">WritePNG()</a>, <a class="el" href="writedatapng2_8c_source.html#l00168">WritePNG2()</a>, <a class="el" href="writedatapng2_8c_source.html#l00037">WritePNG2init()</a>, and <a class="el" href="writedatapng_8c_source.html#l00037">WritePNGinit()</a>.</p>

</div>
</div>
<a class="anchor" id="a67a76e80830266d0c77e06b82a55fd0b"></a><!-- doxytag: member="griddata.h::NF" ref="a67a76e80830266d0c77e06b82a55fd0b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NF&nbsp;&nbsp;&nbsp;4</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of faces per element </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00095">95</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, and <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>.</p>

</div>
</div>
<a class="anchor" id="a170755e30c36be4904106b7bb279b1ec"></a><!-- doxytag: member="griddata.h::NN" ref="a170755e30c36be4904106b7bb279b1ec" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NN&nbsp;&nbsp;&nbsp;3</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of vertices per face </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00096">96</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="bmatrix_8c_source.html#l00064">BMatrix()</a>, <a class="el" href="facnb_8c_source.html#l00036">CompareFaces()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, and <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>.</p>

</div>
</div>
<a class="anchor" id="ab04c88bedc6b2be8ddfe7aa8d3e93f06"></a><!-- doxytag: member="griddata.h::NP" ref="ab04c88bedc6b2be8ddfe7aa8d3e93f06" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NP&nbsp;&nbsp;&nbsp;19</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of property data </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00097">97</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="filterelements_8c_source.html#l00031">FilterElements()</a>, <a class="el" href="hcubic_8c_source.html#l00064">Hcubic()</a>, <a class="el" href="hcubic_8c_source.html#l00037">Hcubic_Init()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="helastic_8c_source.html#l00186">Helastic()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, <a class="el" href="magset_8c_source.html#l00031">MagSet()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>, <a class="el" href="eminisolve_8c_source.html#l00306">myTSCreateEmini()</a>, <a class="el" href="readkrn_8c_source.html#l00073">ReadKrn()</a>, <a class="el" href="eminisolve_8c_source.html#l00076">TaoEvalEnergyGrad()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog_8c_source.html#l00061">WriteLogInit()</a>.</p>

</div>
</div>
<a class="anchor" id="af7b1400a617718754e5de5c255467af5"></a><!-- doxytag: member="griddata.h::NV" ref="af7b1400a617718754e5de5c255467af5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define NV&nbsp;&nbsp;&nbsp;4</td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>number of vertices(=degrees of freedom) per element </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00094">94</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calAfe2fe_8c_source.html#l00029">CalAfe2fe()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00068">CalAfe2sq()</a>, <a class="el" href="calAsq2fe_8c_source.html#l00029">CalAsq2fe()</a>, <a class="el" href="calcbbox_8c_source.html#l00029">calcbbox()</a>, <a class="el" href="movedata_8c_source.html#l00030">DataMoveData()</a>, <a class="el" href="distortmesh_8c_source.html#l00029">DistortMesh()</a>, <a class="el" href="elevertvol_8c_source.html#l00104">edgestat()</a>, <a class="el" href="elevertvol_8c_source.html#l00178">EleVertVol()</a>, <a class="el" href="facnb_8c_source.html#l00055">FacNB()</a>, <a class="el" href="filterelements_8c_source.html#l00031">FilterElements()</a>, <a class="el" href="filternodes_8c_source.html#l00031">FilterNodes()</a>, <a class="el" href="calAfe2sq_8c_source.html#l00029">findeleslice()</a>, <a class="el" href="hdemag_8c_source.html#l00067">Hdemag_Init()</a>, <a class="el" href="hexch__ani_8c_source.html#l00044">Hexchani_Init()</a>, <a class="el" href="hext__ho_8c_source.html#l00201">Hext_ho_Init()</a>, <a class="el" href="matcreateseqadj_8c_source.html#l00030">matcreateseqadj()</a>, <a class="el" href="mesh2dual_8c_source.html#l00320">Mesh2Dual()</a>, <a class="el" href="mesh2dual_8c_source.html#l00531">Mesh2Dual2()</a>, <a class="el" href="mesh2dual_8c_source.html#l00127">Mesh2Nodal()</a>, <a class="el" href="mesh2dual_8c_source.html#l00040">Mesh2VertEle()</a>, <a class="el" href="modifyprop__par_8c_source.html#l00030">ModifyPropPar()</a>, <a class="el" href="modifyprop__ser_8c_source.html#l00031">ModifyPropSer()</a>, <a class="el" href="reorder_8c_source.html#l00112">PermuteData()</a>, <a class="el" href="area_8c_source.html#l00114">PidSharedArea()</a>, <a class="el" href="precond_8c_source.html#l00036">Precond_Init()</a>, <a class="el" href="readpatran_8c_source.html#l00031">ReadPatran()</a>, <a class="el" href="regrefine_8c_source.html#l00030">RegularRefinement()</a>, <a class="el" href="elevertvol_8c_source.html#l00030">tetgrad()</a>, <a class="el" href="tettri_8c_source.html#l00072">tetnb()</a>, <a class="el" href="tettri_8c_source.html#l00101">TetSharedVertices()</a>, <a class="el" href="bmatrix_8c_source.html#l00028">VertBSA()</a>, <a class="el" href="vertprop_8c_source.html#l00029">VertProp()</a>, <a class="el" href="writedataavs_8c_source.html#l00055">WriteAVS()</a>, <a class="el" href="writedatadat_8c_source.html#l00042">WriteDatInit()</a>, <a class="el" href="writefemavs_8c_source.html#l00044">WriteFEMAVS()</a>, and <a class="el" href="writelog__pid_8c_source.html#l00050">WriteLogPidInit()</a>.</p>

</div>
</div>
<a class="anchor" id="a8a54558688c833b1f886703d3012f1dd"></a><!-- doxytag: member="griddata.h::RIGID_M_ALPHA" ref="a8a54558688c833b1f886703d3012f1dd" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define RIGID_M_ALPHA&nbsp;&nbsp;&nbsp;999</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00119">119</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

<p>Referenced by <a class="el" href="calc__dMdt_8c_source.html#l00034">calc_dMdt()</a>, <a class="el" href="htot_8c_source.html#l00096">Htot_Gradient()</a>, and <a class="el" href="myllgjacobian_8c_source.html#l00033">myLLGJacobian()</a>.</p>

</div>
</div>
<hr/><h2>Typedef Documentation</h2>
<a class="anchor" id="a32a4e1dd07864f1ebecfd23654aff9c8"></a><!-- doxytag: member="griddata.h::PetscBLASInt" ref="a32a4e1dd07864f1ebecfd23654aff9c8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef int <a class="el" href="griddata_8h.html#a32a4e1dd07864f1ebecfd23654aff9c8">PetscBLASInt</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00138">138</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

</div>
</div>
<a class="anchor" id="a515706180f960b30595b607f2d734d14"></a><!-- doxytag: member="griddata.h::PetscInt" ref="a515706180f960b30595b607f2d734d14" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef int <a class="el" href="griddata_8h.html#a515706180f960b30595b607f2d734d14">PetscInt</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Contains all data to control the simulations. </p>

<p>Definition at line <a class="el" href="griddata_8h_source.html#l00137">137</a> of file <a class="el" href="griddata_8h_source.html">griddata.h</a>.</p>

</div>
</div>
</div>
  <hr>
  <address>
    magpar - Parallel Finite Element Micromagnetics Package<br>
    Copyright (C) 2002-2010 Werner Scholz
  </address>
  </body>
</html>

